Cannot install zabbix agent on fresh 1.2.2



  • Hello,

    I'm trying to install zabbix agent on a fresh 1.2.2 platform.

    Web interface says:
    Downloading package configuration file… done.
    Saving updated package information... done.
    Downloading Zabbix Agent and its dependencies... done.
    Checking for successful package installation... failed!

    Installation aborted.

    In the /tmp folder

    /tmp/apkg_zabbix-agent-1.4.5,2.tbz is downloaded, I installed it with pkg_add without problem

    /tmp/pkg_mgr_Zabbix Agent.log says:

    Beginning package installation.
    Downloading package configuration file…
    zabbix-agent-1.4.5,2 Array
    (
        [0] => pkg_add: unable to open table of contents file '+CONTENTS' - not a package?
        [1] => pkg_add: 1 package addition(s) failed
    )

    Package WAS NOT installed properly.

    Any idea ?

    Regards



  • Hello,

    Looking for the problem with tcpdump, I saw that the download link is not up to date:

    <value><string>ftp://ftp.freebsd.org/pub/FreeBSD/ports/i386/packages-6-stable/net-mgmt/</string></value>

    <member><name>depends_on_package</name>
    <value><array><data><value><string>zabbix-agent-1.4.5,2.tbz</string></value></data></array></value>

    In fact, the only zabbix package at this site is: zabbix-agent-1.6.1,2.tbz

    Is it possible the update the xmlrpc.php results ?

    Regards</member>



  • I've found a 1.4.5,2 version and uploaded it to pfSense package server, so upgrade to 1.2.3 and try again
    As I don't use zabbix myself I can't validate it other that the install part worked with the change.



  • Hello,

    Thanks for your quick answer.
    I tested 1.2.3 before, and I didn't get the Open-VM-Tools package. Will this package be added to the available packages ?

    Isn't it possible to modify the link for 1.2.2 ?

    Regards
    Stéphane



  • 1.2.2 will soon be gone.
    open-vm-tools was all good yesterday when I installed it on my vmware server 2.0

    But never the less if I remember correctly you should see the zabbix package and you could try to install it.


Locked